use comm;
use comm::Channel;
use config::Config;
use std::io;

pub fn external(tx: &Channel, _cfg: &Config) {
    let mut line = String::new();
    loop {
        line.clear();
        io::stdin().read_line(&mut line).ok().expect("Failed to read line");
        let kind = line.remove(0);
        let line = line.trim();

        match kind {
            'T' => comm::send(tx, "title", line),
            'M' => comm::send(tx, "cmus", line),
            _ => ()
        }
    }
}

